{% extends 'skeleton/base.html' %} {% load static%} {% block head %}
<title>Recepcion orden</title>
{% endblock %}

<!-- ////////////////////////////////////////////////// -->

{% block manual %}

<div class="manual-icon">
  <a href="#openModal"
    ><i class="fa fa-question-circle" aria-hidden="true"></i
  ></a>
</div>
<div id="openModal" class="modalDialog">
  <div class="container-manual">
    <a href="#close" title="Close" class="close">X</a>
    <h2>Manual de uso</h2>
    <p>
      Esta es la ventana "Recepción de Pedidos". Aquí podrá visualizar todas las
      ordenes de pedidos hechas anteriormentee. <br />
      Las ordenes de pedido se mostrarán según la fecha de ingreso de forma
      descendente. <br />
      En caso de que un producto nuevo haya llegado, usted tendrá la opción de
      agregarlo debajo de la lista de ordenes. Debe completar todos los datos
      para un ingreso exitoso, en caso de dejar algún campo en blanco el sistema
      informará el campo vacío para su corrección. Para
      agregar los productos solo debe presionar el botón "Agregar".
    </p>
  </div>
</div>

{% endblock %} {% block content %} {% if request.user.is_authenticated %}
<br />

<h1 class="display-3">Lista de pedidos</h1>

<br />
{{ mensaje }}
<br />

<table class="table">
  <thead class="thead-light">
    <tr>
      <th>Fecha envío</th>
      <th>Fecha de recepción (estimada)</th>
      <th>Contenido de la orden de pedido</th>
      <th>Precio total (estimado)</th>
      <th>Productos nuevos</th>
      <th>Estado</th>
      <th>Proveedor</th>
      <th>Administrador a cargo</th>
    </tr>
  </thead>
  <tbody>
    {% for s in order %}
    <tr>
      <td>{{ s.shipping_date}}</td>
      <td>{{ s.reception_date}}</td>
      <td>{{ s.order_description}}</td>
      <td>{{ s.total_price}}</td>
      <td>{{ s.new_produtcs}}</td>
      <td>{{ s.status}}</td>
      <td>{{ s.provider}}</td>
      <td>{{ s.admin}}</td>

      {% endfor %}
    </tr>
  </tbody>
</table>

<h1>Agregar productos recibidos</h1>
<form method="POST">
  {% csrf_token %} {{product_form.as_p}}

  <button type="submit">Guardar</button>
</form>
{% else %}

{% endif %} {% endblock content %}
